package com.dgtly.wxportal.domain;

import com.dgtly.common.annotation.Excel;
import com.dgtly.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 订单签收文件对象 ssb_order_file
 * 
 * @author qxm
 * @date 2020-10-15
 */
public class OrderFile extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 订单id */
    @Excel(name = "订单id")
    private String orderId;

    /** 交货单号 */
    @Excel(name = "交货单号")
    private String deliveryNumber;

    /** 运单号 */
    @Excel(name = "运单号")
    private String shipmentNumber;

    /** 仓库代号 */
    @Excel(name = "仓库代号")
    private String wareHouseCode;

    /** 仓库名称 */
    @Excel(name = "仓库名称")
    private String wareHouseName;

    /** 回调code */
    @Excel(name = "回调code")
    private String code;

    /** 回调message */
    @Excel(name = "回调message")
    private String message;

    /** 经销商代号 */
    @Excel(name = "经销商代号")
    private String chainsCode;

    /**经销商名称*/
    private String chainsName;

    /** 经销商id */
    @Excel(name = "经销商id")
    private String customersCode;

    /** 签收人id */
    @Excel(name = "签收人id")
    private String signerId;

    /** 签收人名称id */
    @Excel(name = "签收人名称")
    private String signerName;

    /** 签署流程id */
    @Excel(name = "签署流程id")
    private String flowId;

    /** 签署文件url */
    @Excel(name = "签署文件url")
    private String fileUrl;

    /** 是否删除 */
    @Excel(name = "是否删除")
    private String isDelete;

    /** 委托人 */
    @Excel(name = "委托人")
    private String entrustName;

    /** 受托人 */
    @Excel(name = "受托人")
    private String beentrustName;

    /** 身份证 */
    @Excel(name = "身份证")
    private String bId;

    /** 车牌号 */
    @Excel(name = "车牌号")
    private String carNumber;

    /** 提货时间 */
    @Excel(name = "提货时间")
    private String run_time;

    /** 类型1司机授权2委托 */
    @Excel(name = "类型1司机授权")
    private Integer types;

    /** 委托类型 1收货2自主下单3自提 */
    @Excel(name = "委托类型 1收货2自主下单3自提")
    private String authType;

    /** 受托人职位 */
    @Excel(name = "受托人职位")
    private String beentrustPost;

    /** 委托人职位 */
    @Excel(name = "委托人职位")
    private String entrustPost;
    /** 委托类型对应的值*/
    private String authName;

    /** 司机手机号*/
    private String phone;


    public String getAuthName() {
        return authName;
    }

    public void setAuthName(String authName) {
        this.authName = authName;
    }

    public String getAuthType() {
        return authType;
    }

    public void setAuthType(String authType) {
        this.authType = authType;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getBeentrustPost() {
        return beentrustPost;
    }

    public void setBeentrustPost(String beentrustPost) {
        this.beentrustPost = beentrustPost;
    }

    public String getEntrustPost() {
        return entrustPost;
    }

    public void setEntrustPost(String entrustPost) {
        this.entrustPost = entrustPost;
    }

    public Integer getTypes() {
        return types;
    }

    public void setTypes(Integer types) {
        this.types = types;
    }

    public String getRun_time() {
        return run_time;
    }

    public void setRun_time(String run_time) {
        this.run_time = run_time;
    }

    public String getEntrustName() {
        return entrustName;
    }

    public void setEntrustName(String entrustName) {
        this.entrustName = entrustName;
    }

    public String getBeentrustName() {
        return beentrustName;
    }

    public void setBeentrustName(String beentrustName) {
        this.beentrustName = beentrustName;
    }

    public String getbId() {
        return bId;
    }

    public void setbId(String bId) {
        this.bId = bId;
    }

    public String getCarNumber() {
        return carNumber;
    }

    public void setCarNumber(String carNumber) {
        this.carNumber = carNumber;
    }

    public void setOrderId(String orderId)
    {
        this.orderId = orderId;
    }

    public String getOrderId() 
    {
        return orderId;
    }
    public void setFlowId(String flowId) 
    {
        this.flowId = flowId;
    }

    public String getFlowId() 
    {
        return flowId;
    }
    public void setFileUrl(String fileUrl) 
    {
        this.fileUrl = fileUrl;
    }

    public String getFileUrl() 
    {
        return fileUrl;
    }
    public void setIsDelete(String isDelete) 
    {
        this.isDelete = isDelete;
    }

    public String getIsDelete() 
    {
        return isDelete;
    }

    public String getCustomersCode() {
        return customersCode;
    }

    public void setCustomersCode(String customersCode) {
        this.customersCode = customersCode;
    }

    public String getSignerId() {
        return signerId;
    }

    public void setSignerId(String signerId) {
        this.signerId = signerId;
    }

    public String getSignerName() {
        return signerName;
    }

    public void setSignerName(String signerName) {
        this.signerName = signerName;
    }

    public String getChainsCode() {
        return chainsCode;
    }

    public void setChainsCode(String chainsCode) {
        this.chainsCode = chainsCode;
    }

    public String getChainsName() {
        return chainsName;
    }

    public void setChainsName(String chainsName) {
        this.chainsName = chainsName;
    }

    public String getDeliveryNumber() {
        return deliveryNumber;
    }

    public void setDeliveryNumber(String deliveryNumber) {
        this.deliveryNumber = deliveryNumber;
    }

    public String getShipmentNumber() {
        return shipmentNumber;
    }

    public void setShipmentNumber(String shipmentNumber) {
        this.shipmentNumber = shipmentNumber;
    }

    public String getWareHouseCode() {
        return wareHouseCode;
    }

    public void setWareHouseCode(String wareHouseCode) {
        this.wareHouseCode = wareHouseCode;
    }

    public String getWareHouseName() {
        return wareHouseName;
    }

    public void setWareHouseName(String wareHouseName) {
        this.wareHouseName = wareHouseName;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("orderId", getOrderId())
            .append("flowId", getFlowId())
            .append("fileUrl", getFileUrl())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("isDelete", getIsDelete())
            .toString();
    }
}
